package utils;

import model.*;

public class BoardUtils {

	public static void deleteBamboo(Board board, int minX, int minY, int maxX,
			int maxY) {
		for (int j = minY; j <= maxY; j++) {
			for (int i = minX; i <= maxX; i++) {
				deleteBambooCell(board.getCell(i, j));
			}
		}
	}

	protected static void deleteBambooCell(Cell cell) {
		if (cell.compareTo(2) >= 0 && cell.compareTo(8) <= 0) {// 28͐|W
			cell.setNumber(Cell.MASU);
		}
	}

	public static void deleteRegion(Board currentBoard, Coordinate coordinate) {
		for (int j = coordinate.getYMin(); j <= coordinate.getYMax(); j++) {
			for (int i = coordinate.getXMin(); i <= coordinate.getXMax(); i++) {
				currentBoard.setValue(Cell.KARA, i, j);
			}
		}
	}

	public static void setMap(Board currentBoard, int masu, int minX, int maxX,
			int minY, int maxY) {
		for (int j = minY; j <= maxY; j++) {
			for (int i = minX; i <= maxX; i++) {
				currentBoard.setValue(masu, i, j);
			}
		}
	}

	/** 𓚃[h̓ */
	public static void setMapLocked(Board currentBoard, int masu, int minX,
			int maxX, int minY, int maxY) {
		for (int j = minY; j <= maxY; j++) {
			for (int i = minX; i <= maxX; i++) {
				CellUtils.setValueLocked(currentBoard.getCell(i, j), masu);
			}
		}
	}
	
}
